

<android.support.design.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="?attr/colorPrimary"
    >
    <android.support.v4.widget.SwipeRefreshLayout
        android:id="@+id/details_fragment_swipe_refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"

        app:layout_behavior="@string/appbar_scrolling_view_behavior"
        >
    <FrameLayout
        android:id="@+id/details_framgnet_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        />
    </android.support.v4.widget.SwipeRefreshLayout>



    <android.support.design.widget.AppBarLayout
        android:id="@+id/details2_appbar_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        >

        <android.support.design.widget.CollapsingToolbarLayout
            android:id="@+id/details_collpasing_toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:contentScrim="?attr/colorPrimary"
            app:expandedTitleGravity="top"
            app:scrimAnimationDuration="@integer/scrim_animation_duration"
            app:expandedTitleMarginStart="@dimen/default_margin"
            app:expandedTitleMarginTop="?attr/actionBarSize"
            app:expandedTitleTextAppearance="@style/ExpandedWeatherTitleTextAppearance"
            app:layout_scrollFlags="scroll|exitUntilCollapsed|snap"
            app:titleEnabled="true"
            app:toolbarId="@id/details2_toolbar"
            >



            <include layout="@layout/forecast_details"
                     app:layout_collapseMode="parallax"
                     app:layout_collapseParallaxMultiplier="0.3"/>


            <android.support.v7.widget.Toolbar
                android:id="@+id/details2_toolbar"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                app:layout_collapseMode="pin"
                />
        </android.support.design.widget.CollapsingToolbarLayout>


    </android.support.design.widget.AppBarLayout>

    <FrameLayout
        android:id="@+id/details_state_loading"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone">
        <ProgressBar
            style="@android:style/Widget.ProgressBar.Inverse"
            android:id="@+id/details_loading_progressbar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"/>
    </FrameLayout>

    <RelativeLayout
        android:id="@+id/details_state_error"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="visible">
        <TextView
            android:id="@+id/details_state_error_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/details_state_error_loading_data"
            android:layout_centerInParent="true"/>
        <Button
            android:id="@+id/details_state_error_reload"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/details_state_error_text"
            android:layout_centerHorizontal="true"
            android:text="@string/details_state_error_reload_button_text"/>

    </RelativeLayout>

</android.support.design.widget.CoordinatorLayout>


